import request from '@/utils/request'

// 查询硬件版本列表
export function listHardwareVersion(query) {
  return request({
    url: '/system/hardwareVersion/list',
    method: 'get',
    params: query
  })
}

// 查询硬件版本详细
export function getHardwareVersion(id) {
  return request({
    url: '/system/hardwareVersion/' + id,
    method: 'get'
  })
}

// 新增硬件版本
export function addHardwareVersion(data) {
  return request({
    url: '/system/hardwareVersion',
    method: 'post',
    data: data
  })
}

// 修改硬件版本
export function updateHardwareVersion(data) {
  return request({
    url: '/system/hardwareVersion',
    method: 'put',
    data: data
  })
}

// 删除硬件版本
export function delHardwareVersion(id) {
  return request({
    url: '/system/hardwareVersion/' + id,
    method: 'delete'
  })
}
